<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: NewUser.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {margin: 0px}
    .c6   {padding: 0px 2px 0px 2px; font-family: verdana,arial,helvetica; font-weight: bold; color: #333333}
    .c7   {padding: 0px 2px 0px 2px; font-family: verdana,arial,helvetica; font-style: italic; color: red}
    .c8   {padding: 0px 2px 0px 2px}
    .c9   {width: 219px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c10  {font-family: verdana; font-size: 10pt; text-align: left}
    .c11  {width: 139px; font-family: verdana; font-size: 10pt; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Security.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="439" class="c2">
  <tr>
    <td width="235" colspan="2" height="24" bgcolor="#e5e5e5" class="c3">New User</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/UserList&amp;_rand=">User List</a></td>
    <td width="96" colspan="2" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
</table>

    <div style="position:absolute; left: 17px; top: 44px;">

      <!-- ProcessForm "CreateNewUserPF" -->
      <form method="post" action="ProcessManager.doms"
            mo:type="ProcessForm" mo:name="CreateNewUserPF" class="c5">

      <!-- ProcessBlock "NewUserPB" -->
      <table cellspacing="0" cellpadding="0" width="399" bgcolor="#f7f7f7" class="c4 c2" style="height: 287px"
             mo:type="ProcessBlock" mo:name="NewUserPB" mo:props="warnColor:'#F5CAC0'">
        <tr><td>

              <!-- ProcessRecord -->
              <table cellspacing="0" cellpadding="0" height="216" mo:type="ProcessRecord" class="c4" >
                <tr>
                  <td width="395" colspan="3" height="24" align="center" class="c6">Create New User</td>
                </tr>
                <tr>
                  <td width="395" colspan="3" height="24" align="center" class="c7"><xsl:value-of select="/root/mor_security_messages/message[secdom = 'main']/text"/></td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">User Name:</td>
                  <td valign="top">
                    <input type="hidden" name="px_recstat"/>

                    <!-- ProcessField "username" -->
                    <input name="pf_username" type="text" maxlength="50" onchange="PMgr.fieldChanged(this);" class="c9"
                           value="{/root/request/pf_username}"
                           mo:iValue="{/root/request/pf_username}"
                           mo:type="EditBox" mo:field="true" mo:name="username" mo:props="nonBlank:true" />
                  </td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">E-Mail:</td>
                  <td valign="top">

                    <!-- ProcessField "email" -->
                    <input name="pf_email" type="text" onchange="PMgr.fieldChanged(this);" class="c9"
                           value="{/root/request/pf_email}"
                           mo:iValue="{/root/request/pf_email}"
                           mo:type="EditBox" mo:field="true" mo:name="email" />
                  </td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">Full Name:</td>
                  <td valign="top">

                    <!-- ProcessField "fullname" -->
                    <input name="pf_fullname" type="text" onchange="PMgr.fieldChanged(this);" class="c9"
                           value="{/root/request/pf_fullname}"
                           mo:iValue="{/root/request/pf_fullname}"
                           mo:type="EditBox" mo:field="true" mo:name="fullname" />
                  </td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">Password:</td>
                  <td valign="top">

                    <!-- ProcessField "password" -->
                    <input name="pf_password" type="password" onchange="PMgr.fieldChanged(this);" class="c9"
                           mo:type="EditBox" mo:field="true" mo:name="password" mo:props="nonBlank:true"/>

                  </td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">Password Again:</td>
                  <td valign="top">

                    <!-- ProcessField "passwordagain" -->
                    <input name="pf_passwordagain" type="password" onchange="PMgr.fieldChanged(this);" class="c9"
                           mo:type="EditBox" mo:field="true" mo:name="passwordagain" mo:props="nonBlank:true"/>

                  </td>
                </tr>
                <tr>
                  <td width="176" height="24" class="c8">Default Role:</td>
                  <td valign="top">

                    <!-- ProcessField "defaultrole" -->
                    <select name="pf_defaultrole" onchange="PMgr.fieldChanged(this);" class="c9"
                            mo:type="ComboBox" mo:field="true" mo:name="defaultrole" mo:needsInit="true"
                      mo:iValue="{/root/request/pf_defaultrole}" >"
                      <option value="">Select a Role</option>
                      <xsl:for-each select="/root/mor_security_rolelist_main/item">
                        <option>
                          <xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
                          <xsl:value-of select="name"/>
                        </option>
                      </xsl:for-each>
                    </select>
                  </td>
                </tr>

                <tr>
                  <td width="176" height="24" class="c8">Account Disabled:</td>
                  <td width="219" valign="top">
                    <!-- ProcessField "disabled" -->
                    <input name="pf_disabled" type="checkbox" value="0" onclick="PMgr.fieldChanged(this);" class="c10"
                          mo:type="CheckBox" mo:field="true" mo:name="disabled" />

                  </td>
                </tr>
              </table>


          <!-- ProcessCommand "CreateCmd" -->
          <input name="__pcommand" value="Create" type="submit" class="c11" style="position:relative; left: 145px; top: 10px;"
                 onclick="if (PMgr.submitProcessForm('CreateNewUserPF','CreateCmd' ,'Default' ) == false) return false;"
                 mo:name="CreateCmd" mo:type="ProcessCommand"
                 mo:props="requiredBlocks:'NewUserPB', validateInput:true"
           />
          </td>
        </tr>


        <tr>
          <td height="12"/>
          <td colspan="2"/>
        </tr>
      </table>
      </form>

    </div>


</body>
</html>
</xsl:template>
</xsl:stylesheet>
