<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: Roles.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {font-size: 10pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c6   {padding: 0px 2px 0px 2px}
    .c7   {margin: 0px}
    .c8   {font-family: verdana; font-size: 10pt; text-align: left}
    .c9   {width: 159px; font-family: verdana; font-size: 10pt; color: #000000}
    .c10  {width: 219px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c11  {width: 169px; font-family: verdana; font-size: 10pt; color: #000000}
    .c12  {width: 200px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="499" class="c2">
  <tr>
    <td width="295" colspan="2" height="24" bgcolor="#e5e5e5" class="c3">Roles</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/UserList&amp;_rand=">User List</a></td>
    <td width="96" colspan="2" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td width="20" height="33"/>
    <td width="279"/>
    <td/>
    <td width="80"/>
    <td width="20"/>
  </tr>
  <tr>
    <td height="371"/>
    <td colspan="3" valign="top">
      <table cellspacing="0" cellpadding="0" width="459" height="371" class="c4">
        <tr>
          <td width="459" valign="top">
            <table cellspacing="0" cellpadding="0" width="459" height="24" class="c5">
              <tr>
                <td width="20" height="24" bgcolor="#dfdcd6"></td>
                <td width="215" bgcolor="#dfdcd6" class="c6">Role Name</td>
                <td width="216" bgcolor="#dfdcd6" class="c6">Role Description</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td valign="top">
            <div>
            <form name="RoleListPF" method="post" action="ProcessManager.doms" mo:type="ProcessForm" mo:props="formConfigName:'RoleListPF'" mo:name="RoleListPF" class="c7">

            <table cellspacing="0" cellpadding="0" height="316" class="c4">
              <tr>
                <td width="459" valign="top">
                  <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="RoleListBlock" mo:props="warnColor:'#F5CAC0'">
                    <xsl:for-each select="/root/mor_security_rolelist_main/item">
                      <xsl:call-template name="RoleRecord"/>
                    </xsl:for-each>
                    <tr><td style="height:0px"/></tr>
                  </table>


                </td>
              </tr>
              <tr>
                <td valign="top">
                  <table cellspacing="0" cellpadding="0" width="459" height="49" class="c4">
                    <tr>
                      <td width="20" height="11"></td>
                      <td width="159"/>
                      <td width="280"/>
                    </tr>
                    <tr>
                      <td height="24"/>
                      <td>
                      <input name="__pcommand" value="Delete Role" type="button"
                             onclick="if (PMgr.submitProcessForm('RoleListPF','DeleteRole' ,'Default' ) == false) return false;"
                             mo:name="DeleteRole" mo:type="ProcessCommand"
                             mo:props="requiredBlocks:'RoleListBlock', validateInput:true" class="c9"/>
                      </td>
                      <td/>
                    </tr>
                    <tr>
                      <td height="14"/>
                      <td colspan="2"/>
                    </tr>
                  </table>


                </td>
              </tr>
              <tr>
                <td valign="top">
                  <table cellspacing="0" cellpadding="0" width="100%"
                         mo:type="ProcessBlock" mo:name="RoleBlock" mo:props="warnColor:'#F5CAC0'">
                  <tr><td>
                    <table cellspacing="0" cellpadding="0" width="459" height="48" mo:type="ProcessRecord" class="c4">
                      <tr>
                        <td width="156" height="24" class="c6">Role Name:</td>

                        <td width="219" valign="top">
                          <input type="hidden" name="px_recstat"/>
                          <input name="pf_name" type="text" onchange="PMgr.fieldChanged(this);" class="c10"
                                 value="{/root/mor_security_details_main/name}"
                                 mo:iValue="{/root/mor_security_details_main/name}"
                                 mo:type="EditBox" mo:field="true" mo:name="name" mo:props="nonBlank:true" />
                        </td>
                        <td width="80"/>
                      </tr>
                      <tr>
                        <td width="156" height="24" class="c6">Role Description:</td>
                        <td valign="top">
                          <input name="pf_desc" type="text" onchange="PMgr.fieldChanged(this);" class="c10"
                                 value="{/root/mor_security_details_main/desc}"
                                 mo:iValue="{/root/mor_security_details_main/desc}"
                                 mo:type="EditBox" mo:field="true" mo:name="desc" mo:props="nonBlank:true"/>
                        </td>
                        <td/>
                      </tr>
                    </table>
                  </td></tr></table>


                </td>
              </tr>
              <tr>
                <td valign="top">
                  <table cellspacing="0" cellpadding="0" width="459" height="39" class="c4">
                    <tr>
                      <td width="160" height="4"></td>
                      <td width="159"/>
                      <td width="140"/>
                    </tr>
                    <tr>
                      <td height="24"/>
                      <td>
                        <input name="__pcommand" value="Set Role" type="button"
                               onclick="if (PMgr.submitProcessForm('RoleListPF','SetRole' ,'Default' ) == false) return false;"
                               mo:name="SetRole" mo:type="ProcessCommand"
                               mo:props="requiredBlocks:'RoleBlock', validateInput:true" class="c9"/>
                      </td>
                      <td/>
                    </tr>
                    <tr>
                      <td height="11"/>
                      <td colspan="2"/>
                    </tr>
                  </table>


                </td>
              </tr>
              <xsl:if test="boolean(/root/mor_security_details_main/name)">
              <tr>
                <td valign="top">
                  <table cellspacing="0" cellpadding="0" width="100%">
                    <xsl:for-each select="/root/mor_security_details_main">
                      <xsl:call-template name="RoleDetails"/>
                    </xsl:for-each>
                    <tr><td style="height:0px"/></tr>
                  </table>


                </td>
              </tr>
              </xsl:if>
            <tr><td height="1"/></tr></table>
            </form>

            </div>
          </td>
        </tr>
        <tr>
          <td height="31"></td>
        </tr>
      </table>


    </td>
    <td/>
  </tr>
  <tr>
    <td height="35"/>
    <td colspan="4"/>
  </tr>
</table>




</body>
</html>
</xsl:template>
<xsl:template name="RoleDetails">
<tr>
  <td>
    <table cellspacing="0" cellpadding="0" height="156" class="c4">
      <tr>
        <td width="20" height="24" bgcolor="#dfdcd6"><input name="rolename" type="hidden" class="c2">
          <xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
        </input></td>
        <td width="235" colspan="2" bgcolor="#dfdcd6" class="c3">CheckPoints</td>
        <td width="169"/>
        <td width="31"/>
      </tr>
      <tr>
        <td colspan="3" valign="top">
          <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="CPListBlock" mo:props="warnColor:'#F5CAC0'">
            <xsl:for-each select="checkpoints/checkpoint">
              <xsl:call-template name="CPRecord"/>
            </xsl:for-each>
            <tr><td style="height:0px"/></tr>
          </table>


        </td>
        <td colspan="2" rowspan="2"/>
      </tr>
      <tr>
        <td height="7"/>
        <td width="169"/>
        <td width="70"/>
      </tr>
      <tr>
        <td height="24"/>
        <xsl:if test="boolean(checkpoints/checkpoint)">
        <td>
          <input name="__pcommand" value="Remove CheckPoint" type="button"
                 onclick="if (PMgr.submitProcessForm('RoleListPF','RemoveCheckPoint' ,'Default' ) == false) return false;"
                 mo:name="RemoveCheckPoint" mo:type="ProcessCommand"
                 mo:props="requiredBlocks:'CPListBlock', validateInput:true" class="c11"/>
        </td>

        </xsl:if>
        <td colspan="3"/>
      </tr>
      <tr>
        <td height="13"/>
        <td colspan="4"/>
      </tr>
      <tr>
        <td colspan="5" valign="top">
          <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="NewCP" mo:props="warnColor:'#F5CAC0'"><tr><td>
            <table cellspacing="0" cellpadding="0" width="459" height="24" mo:type="ProcessRecord" class="c4">
              <tr>
                <td width="20" height="24"><input type="hidden" name="px_recstat"/></td>
                <xsl:variable name="owned_cps">
                  <xsl:for-each select="checkpoints/checkpoint">
                    ;<xsl:value-of select="."/>;
                  </xsl:for-each>
                </xsl:variable>
                <td width="200" valign="top"><select name="pf_cpname" onchange="PMgr.fieldChanged(this);" mo:type="ComboBox" mo:field="true" mo:name="cpname" mo:props="nonBlank:'true'" mo:needsInit="true" class="c12">
                  <xsl:attribute name="mo:iValue"><xsl:value-of select="cpname"/></xsl:attribute>
                  <option value="">Select a CheckPoint</option>
                  <xsl:for-each select="/root/mor_security_checkpointlist_main/item[not(contains($owned_cps,name))]">
                    <option>
                      <xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
                      <xsl:value-of select="name"/>
                    </option>
                  </xsl:for-each>
                </select></td>
                <td width="239"/>
              </tr>
            </table>
          </td></tr></table>


        </td>
      </tr>
      <tr>
        <td height="1"/>
        <td colspan="4"/>
      </tr>
      <tr>
        <td height="24"/>
        <td><input name="__pcommand" value="Add CheckPoint" type="button" onclick="if (PMgr.submitProcessForm('RoleListPF','AddCheckPoint' ,'Default' ) == false) return false;" mo:name="AddCheckPoint" mo:type="ProcessCommand" mo:props="requiredBlocks:'NewCP', validateInput:'true'" class="c11"></input></td>
        <td/>
        <td valign="top"><input name="Clear" value="Clear" type="button" onclick="document.location.href = OMgr.refreshLink('display.doms?pg=/Roles&amp;_rand=')" class="c11"></input></td>
        <td/>
      </tr>
      <tr>
        <td height="15"/>
        <td colspan="4"/>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

<xsl:template name="CPRecord">
<tr>
  <td>
    <table cellspacing="0" cellpadding="0" width="259" height="24" mo:type="ProcessRecord" class="c4">
      <tr>
        <td width="20" height="24" valign="top">
          <input type="hidden" name="px_recstat"/>
          <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c8"/>
          <input name="pf_cpname" type="hidden" mo:type="HiddenBox" mo:field="true" mo:name="cpname" value="{.}" class="c2"/>
        </td>
        <td width="235" class="c6"><xsl:value-of select="."/></td>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

<xsl:template name="RoleRecord">
<tr>
  <td>
    <table cellspacing="0" cellpadding="0" width="459" height="24" mo:type="ProcessRecord" class="c4">
      <tr>
        <td width="20" height="24" valign="top">

        <input type="hidden" name="px_recstat"/>
        <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c8"/>
        <input name="pf_name" type="hidden" value="{name}" class="c2"
               mo:type="HiddenBox" mo:field="true" mo:name="name"/>
        </td>
        <td width="215" class="c6">
        <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=Roles&amp;rolename={name}&amp;_rand=">
          <xsl:value-of select="name"/>
        </a>
        </td>
        <td width="216" class="c6"><xsl:value-of select="desc"/></td>
      </tr>
    </table>
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
