<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: RefreshOptions.xsl 92 2008-03-23 15:49:45Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>


  <title>MoreMotion - Opensource Application Framework - Sample Project: Ajax</title>
  <meta http-equiv="content-language" content="en"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
    .c3   {font-size: 8pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c4   {padding: 0px 2px 0px 2px}
    .c5   {width: 235px; font-family: verdana; font-size: 8pt; text-align: left; background-color: #ccccff; color: #000000}
    .c6   {width: 235px; font-family: verdana; font-size: 8pt; text-align: left; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/Ajax/Ajax.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Ajax.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="580" class="c2">
  <tr>
    <td colspan="5" valign="top">
      <table cellspacing="0" cellpadding="0" width="580" height="21" bgcolor="#f0eded" class="c3">
        <tr>
          <td width="497" height="21" class="c4">Refresh the Options of a ComboBox</td>
          <td width="75" class="c4">
            <a onclick="OMgr.refreshHref(this)" href="display.doms.jsp?pg=/index&amp;_rand=">Home</a>          </td>
        </tr>
      </table>    </td>
  </tr>
  <tr>
    <td colspan="5" height="42" class="c4">
      Check the "onchange" event of the "ProductCategory" SELECT element.    </td>
  </tr>

  <tr>
    <td width="14" height="21"/>
    <td width="132" class="c4">Product Category:</td>
    <td width="235" valign="top">
    <select name="ProductCategory" class="c5"
            onchange="AjaxMgr.refreshOptions({{actionName: 'ROA' ,optionNode: 'NAME', valueNode: 'ID',
                      targetElement: 'products_combo', staticOptionsQty: 0,
                      requestParams: 'CAT=' + this.value, busyImage: 'BI1'}})">
      <xsl:for-each select="/root/categories/item">
        <option value="{ID}"><xsl:value-of select="NAME"/></option>
      </xsl:for-each>
    </select>    </td>
    <td width="23" align="center" valign="top">
      <img name="BusyImage1" id="BI1" src="moremotion/face/Ajax/mozilla_blu.gif" border="0"
           mo:needsInit="true" mo:type="BusyImage"/>      </td>
    <td width="176"/>
  </tr>
  <tr>
    <td height="6"/>
    <td colspan="4"/>  </tr>
  <tr>
    <td height="21"/>
    <td width="132" class="c4">Product:</td>
    <td valign="top">
      <select name="products" id="products_combo" class="c6"></select>    </td>
    <td colspan="2"/>
  </tr>
</table>
</body>
</html>
</xsl:template>

</xsl:stylesheet>
