<?xml version="1.0" encoding="UTF-8"?>
<!-- Version $Id: CheckPoints.xsl 91 2008-03-23 15:48:34Z erkan $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:mo="http://www.moremotion.org/NameSpaces/mo">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" version="1.0" />
<xsl:decimal-format name="std" grouping-separator="," decimal-separator="."/>
<xsl:template match="/">
<html>
<head>

  <title>MoreMotion - Opensource Application Framework - Sample Project: SuperStore</title>
  <meta http-equiv="content-language" content="en-us"/>
  <meta name="Generator" content="MoreMotion Application Studio"/>
  <style type="text/css">
    .c1   {margin: 0px; background-color: #ffffff}
    .c2   {font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c3   {padding: 0px 2px 0px 2px; font-weight: bold}
    .c4   {font-size: 10pt; text-align: left; vertical-align: top; color: #000000}
    .c5   {font-size: 10pt; font-weight: bold; text-align: left; vertical-align: top; color: #000000}
    .c6   {padding: 0px 2px 0px 2px}
    .c7   {margin: 0px}
    .c8   {font-family: verdana; font-size: 10pt; text-align: left}
    .c9   {width: 219px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c10  {width: 220px; font-family: verdana; font-size: 10pt; text-align: left; color: #000000}
    .c11  {width: 189px; font-family: verdana; font-size: 10pt; color: #000000}
  </style>

  <script type="text/javascript" src="moremotion/face/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Common.js"></script>
  <script type="text/javascript" src="moremotion/face/Process/Process.js"></script>
  <script type="text/javascript" src="moremotion/face/_resources/en/Process.js"></script>

</head>
<body  topmargin="0" leftmargin="0" class="c1"
 onload="OMgr.initialize()" mo:pageInfo="{/root/pageinfo}">
<table cellspacing="0" cellpadding="0" width="499" class="c2">
  <tr>
    <td width="295" colspan="2" height="24" bgcolor="#e5e5e5" class="c3">Check Points</td>
    <td width="96" align="center" bgcolor="#ffff99" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/UserList&amp;_rand=">User List</a></td>
    <td width="96" colspan="2" align="center" bgcolor="#ccff00" class="c3">
      <a onclick="OMgr.refreshHref(this)" href="display.doms?pg=/index&amp;_rand=">index</a></td>
  </tr>
  <tr>
    <td colspan="3" height="300"/>
  </tr>
</table>

      <div style="position:absolute; left: 19px; top: 52px;">
      <table cellspacing="0" cellpadding="0" width="460" height="191" class="c4 c2">
        <tr>
          <td width="460" valign="top">
            <table cellspacing="0" cellpadding="0" width="460" height="31" class="c5">
              <tr>
                <td width="20" height="24" bgcolor="#dfdcd6"/>
                <td width="215" bgcolor="#dfdcd6" class="c6">CheckPoint Name</td>
                <td width="216" bgcolor="#dfdcd6" class="c6">CheckPoint Description</td>
                <td width="1"/>
              </tr>
              <tr>
                <td height="7"/>
                <td colspan="3"/>
              </tr>
            </table>


          </td>
        </tr>
        <tr>
          <td valign="top">
            <div>
            <!-- ProcessForm "CheckpointsPF" -->
            <form method="post" action="ProcessManager.doms"
                  mo:type="ProcessForm" mo:name="CheckPointsPF" class="c7">

            <table cellspacing="0" cellpadding="0" width="460" height="125" class="c4">
              <tr>
                <td colspan="6" valign="top">

                  <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="ProcessBlock" mo:props="warnColor:'#F5CAC0'">
                    <xsl:for-each select="/root/mor_security_checkpointlist_main/item">
                      <xsl:call-template name="CheckPointRecord"/>
                    </xsl:for-each>
                    <tr><td style="height:0px"/></tr>
                  </table>

                </td>
              </tr>
              <tr>
                <td width="19" height="12"/>
                <td width="189"/>
                <td width="30"/>
                <td width="31"/>
                <td width="189"/>
                <td width="2"/>
              </tr>
              <tr>
                <td height="21"/>
                <td colspan="5">

                <!-- Process Command "DeleteCP" -->
                <input name="__pcommand" value="Delete CheckPoint" type="button" class="c11"
                       onclick="if (PMgr.submitProcessForm('CheckPointsPF','DeleteCP' ,'Default' ) == false) return false;"
                       mo:name="DeleteCP" mo:type="ProcessCommand"
                       mo:props="requiredBlocks:'ProcessBlock', validateInput:true" />

                <!-- Process Command "UpdateCP" -->
                <input name="__pcommand" value="Update CheckPoint" type="button" class="c11"
                       onclick="if (PMgr.submitProcessForm('CheckPointsPF','UpdateCP' ,'Default' ) == false) return false;"
                       mo:name="UpdateCP" mo:type="ProcessCommand"
                       mo:props="requiredBlocks:'ProcessBlock', validateInput:true" />
                </td>
              </tr>
              <tr>
                <td height="16"/>
                <td colspan="5"/>
              </tr>
              <tr>
                <td height="24"/>
                <td colspan="2" valign="top">
                  <table cellspacing="0" cellpadding="0" width="100%" mo:type="ProcessBlock" mo:name="NewCheckPointBlock" mo:props="warnColor:'#F5CAC0'"><tr><td>
                    <table cellspacing="0" cellpadding="0" width="219" height="24" mo:type="ProcessRecord" class="c4">
                      <tr>
                        <td width="219" height="24" valign="top">

                        <!-- Record Status -->
                        <input type="hidden" name="px_recstat"/>

                        <!-- ProcessField "name" -->
                        <input name="pf_name" type="text" onchange="PMgr.fieldChanged(this);" class="c9"
                               mo:type="EditBox" mo:field="true" mo:name="name" mo:props="nonBlank:true" />
                        </td>
                      </tr>
                    </table>
                  </td></tr></table>


                </td>
                <td colspan="3"/>
              </tr>
              <tr>
                <td height="21"/>
                <td>
                <!-- ProcessCommand "NewCP" -->
                <input name="__pcommand" value="Create New CheckPoint" type="button" class="c11"
                       onclick="if (PMgr.submitProcessForm('CheckPointsPF','NewCP' ,'Default' ) == false) return false;"
                       mo:name="NewCP" mo:type="ProcessCommand"
                       mo:props="requiredBlocks:'NewCheckPointBlock', validateInput:true" />
                </td>
                <td colspan="4"/>
              </tr>
              <tr>
                <td height="7"/>
                <td colspan="5"/>
              </tr>
            </table>
            </form>

            </div>
          </td>
        </tr>
        <tr>
          <td height="35"></td>
        </tr>
      </table>
      </div>

</body>
</html>
</xsl:template>
<xsl:template name="CheckPointRecord">
<tr mo:type="ProcessRecord">
  <td>
    <input type="hidden" name="px_recstat"/>
    <input name="__selection" type="checkbox" value="checked" onclick="PMgr.toggleSelection(this);" class="c8" />

    <!-- Process Field "name" -->
    <input name="pf_name" type="text" readonly="readonly" onchange="PMgr.fieldChanged(this);" value="{name}"
           mo:type="EditBox" mo:field="true" mo:name="name" mo:iValue="{name}" class="c9" />

    <!-- Process Field "desc" -->
    <input name="pf_desc" type="text" onchange="PMgr.fieldChanged(this);" value="{desc}"
           mo:type="EditBox" mo:field="true" mo:name="desc" mo:iValue="{desc}" class="c10" />
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
